SQ(1)

NAME
sq pki vouch replay - Replays vouches

SYNOPSIS
sq pki vouch replay [OPTIONS]

DESCRIPTION
Replays vouches.

This command replays the vouches made by one certificate using another certificate. This is primarily useful when you replace a certificate, and you want the new certificate to have made the same certifications as you made with the old certificate.

Because certifications are associated with the certificated certificate, and not the certifier's certificate, this may not replay all of the certifications that the source ever made.

This command only copies the active certification for a given user ID and certificate. This includes both exportable certifications (vouches) as well as non-exportable certifications (links). It excludes expired certifications. It also doesn't replay certifications made on invalid, expired or revoked certificates, or revoked user IDs.

This command replays all of the certifications parameters including any expiration time, but the creation time is set to the current time.

Stable since 1.2.0.

OPTIONS

  Subcommand options

--allow-dissimilar-userids
    Don't check that the source and target share a self-signed user ID

    Normally, this command checks that the source and target certificates have a user ID in common. This flag skips that check.

--output=FILE
    Write to FILE or stdout if omitted

--source=FINGERPRINT|KEYID
    Use certificates with the specified fingerprint or key ID

--source-email=EMAIL
    Use certificates where a user ID includes the specified email address

--source-file=PATH
    Read certificates from PATH

--source-userid=USERID
    Use certificates with the specified user ID

--target=FINGERPRINT|KEYID
    Use certificates with the specified fingerprint or key ID

--target-email=EMAIL
    Use certificates where a user ID includes the specified email address

--target-file=PATH
    Read certificates from PATH

--target-userid=USERID
    Use certificates with the specified user ID

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Alice generates a new certificate, and replays the certifications she made with the old certificate using the new one.

    sq pki vouch replay \
        --source=EB28F26E2739A4870ECC47726F0073F60FD0CBF0 \
        --target=C5999E8191BF7B503653BE958B1F7910D01F86E5

SEE ALSO
sq(1), sq-pki(1), sq-pki-vouch(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
1.2.0 (sequoia-openpgp 1.22.0)